%define		rname qca-sasl
#
Summary:	Qt Cryptographic Architecture (QCA) SASL plugin
Summary(pl.UTF-8):	Wtyczka SASL dla Qt Cryptographic Architecture (QCA)
Name:		qt-plugin-%{rname}
Version:	1.0
Release:	7
Epoch:		1
License:	LGPL v2.1
Group:		Libraries
Source0:	http://delta.affinix.com/qca/%{rname}-1.0.tar.bz2
# Source0-md5:	2e324cb45706f37a8d2b196f43428023
URL:		http://delta.affinix.com/qca/
BuildRequires:	cyrus-sasl-devel
BuildRequires:	libstdc++-devel
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	qt-devel >= 6:3.1.2
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		_plugindir %{_libdir}/qt/plugins-mt/crypto

%description
A plugin to provide SASL capability to programs that utilize the Qt
Cryptographic Architecture (QCA).

%description -l pl.UTF-8
Wtyczka pozwalająca wykorzystać możliwości SASL w programach
korzystających z Qt Cryptographic Architecture (QCA).

%prep
%setup -qn %{rname}-%{version}

# This dir contains bad qcextra file, so prepare good one
sed -i \
	's,target.path=.*,target.path=%{_plugindir},' \
	qcextra

%build
export QTDIR=%{_prefix}
./configure

qmake %{rname}.pro \
	QMAKE_CXX="%{__cxx}" \
	QMAKE_LINK="%{__cxx}" \
	QMAKE_CXXFLAGS_RELEASE="%{rpmcflags}" \
	QMAKE_RPATH=

%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	INSTALL_ROOT=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc README
%attr(755,root,root) %{_plugindir}/*.so
%changelog
* Thu Dec 06 2012 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qt-plugin-qca-sasl.git;a=log;h=master

* Thu Dec 06 2012 Jan Rękorajski <baggins@pld-linux.org> 5105bef
- release 7 (by relup.sh)

* Sun Apr 06 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 7e39ba6
- release 6

* Wed Mar 19 2008 Arkadiusz Miśkiewicz <arekm@maven.pl> 0200db6
- rel 5

* Mon Sep 17 2007 Jan Rękorajski <baggins@pld-linux.org> 4f5b809
- rel 4

* Tue Apr 10 2007 shadzik <shadzik@pld-linux.org> fb003d9
- qt-devel epoch (still 6)

* Tue Feb 13 2007 Elan Ruusamäe <glen@pld-linux.org> 978f609
- tabs in preamble

* Mon Feb 12 2007 Jan Rękorajski <baggins@pld-linux.org> aba458e
- converted to UTF-8

* Fri Nov 12 2004 Paweł Sikora <pluto@pld-linux.org> 271c62f
- BR := cyrus-sasl-devel

* Wed Nov 03 2004 jpc <jpc@pld-linux.org> 50e3827
- new standalone library and plugin releases
- based on old qt-plugins-qca-tls and psi.spec

